Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/HiveAdministratorClient.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/HiveAdministratorClient.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/HiveAdministratorClient.cs	(revision 6734)
@@ -20,5 +20,4 @@
 #endregion
 
-using System.Collections.Generic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,10 +26,6 @@
   [Item("Hive Administrator", "Hive Administrator")]
   public class HiveAdministratorClient : Item {
-    public List<SlaveGroup> SlaveGroups;
-    public List<Slave> Slaves;
-
 
     public HiveAdministratorClient() {
-      UpdateSlaveGroups();
     }
 
@@ -42,11 +37,4 @@
       return new HiveAdministratorClient(this, cloner);
     }
-
-    public void UpdateSlaveGroups() {
-      ServiceLocator.Instance.CallHiveService(service => {
-        SlaveGroups = new List<SlaveGroup>(service.GetSlaveGroups());
-        Slaves = new List<Slave>(service.GetSlaves());
-      });
-    }
   }
 }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/Common/UpdateControl.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/Common/UpdateControl.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/Common/UpdateControl.cs	(revision 6734)
@@ -32,12 +32,25 @@
     public Action UpdateAction { get; set; }
 
+    public void Update() {
+      btnRefresh_Click(this, null);
+    }
+
     private void PrivUpdateAction() {
       UpdateAction();
-      imgBoxProgress.Invoke(new MethodInvoker(() => imgBoxProgress.Visible = false));
+      if (imgBoxProgress.InvokeRequired) {
+        imgBoxProgress.Invoke(new MethodInvoker(() => imgBoxProgress.Visible = false));
+      } else {
+        imgBoxProgress.Visible = false;
+      }
     }
 
     private void btnRefresh_Click(object sender, EventArgs e) {
       if (UpdateAction != null) {
-        imgBoxProgress.Visible = true;
+        if (imgBoxProgress.InvokeRequired) {
+          imgBoxProgress.Invoke(new MethodInvoker(() => imgBoxProgress.Visible = true));
+        } else {
+          imgBoxProgress.Visible = true;
+        }
+
         Action action = new Action(PrivUpdateAction);
         TS.Task task = new TS.Task(action);
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/HiveAdministratorView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/HiveAdministratorView.Designer.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/HiveAdministratorView.Designer.cs	(revision 6734)
@@ -85,5 +85,4 @@
       this.Name = "HiveAdministrationView";
       this.Size = new System.Drawing.Size(745, 546);
-      this.Load += new System.EventHandler(this.HiveAdministrationView_Load);
       this.tabAdmin.ResumeLayout(false);
       this.tabSlaves.ResumeLayout(false);
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/HiveAdministratorView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/HiveAdministratorView.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/HiveAdministratorView.cs	(revision 6734)
@@ -21,5 +21,4 @@
 
 using System.Windows.Forms;
-using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
@@ -40,50 +39,18 @@
     #region Register Content Events
     protected override void DeregisterContentEvents() {
-      // TODO: Deregister your event handlers on the Content here
       base.DeregisterContentEvents();
     }
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
-      // TODO: Register your event handlers on the Content here
     }
     #endregion
 
-    private void UpdateResources() {
-      IItemList<Resource> resources = new ItemList<Resource>();
-
-      foreach (SlaveGroup g in Content.SlaveGroups) {
-        resources.Add(g);
-      }
-      foreach (Slave g in Content.Slaves) {
-        resources.Add(g);
-      }
-      resourcesView.Content = resources;
-    }
-
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      if (Content == null) {
-        resourcesView.Content = null;
-
-      } else {
-        //updateSlaveGroups.UpdateAction = new Action(Content.UpdateSlaveGroups);  //??
-        UpdateResources();
-      }
     }
 
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      // TODO: Put code here to enable or disable controls based on whether the Content is/not null or the view is ReadOnly
     }
-
-    private void HiveAdministrationView_Load(object sender, System.EventArgs e) {
-      if (Content != null) {
-
-      }
-    }
-
-    #region Event Handlers
-    // TODO: Put event handlers here
-    #endregion
   }
 }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.cs	(revision 6734)
@@ -49,5 +49,8 @@
       updateScheduleControl.UpdateAction = new Action(UpdateSchedule);
       updateSlaveGroup.UpdateAction = new Action(UpdateSlaveGroups);
-    }
+
+      updateSlaveGroup.Update();
+    }
+
 
     #region Register Content Events
@@ -131,5 +134,4 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      // TODO: Put code here to enable or disable controls based on whether the Content is/not null or the view is ReadOnly
     }
 
@@ -293,4 +295,5 @@
     void ResetView() {
       treeSlaveGroup.Nodes.Clear();
+
       if (slaveView.Content != null && slaveView.Content is SlaveGroup) {
         slaveView.Content.PropertyChanged -= new System.ComponentModel.PropertyChangedEventHandler(SlaveViewContent_PropertyChanged);
@@ -301,6 +304,10 @@
 
     private void UpdateSlaveGroups() {
-      this.Invoke(new Action(ResetView));
-      Content.Clear();
+      if (this.InvokeRequired) {
+        this.Invoke(new Action(ResetView));
+      } else {
+        ResetView();
+      }
+
       IItemList<Resource> resources = new ItemList<Resource>();
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/MainWindow.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/MainWindow.Designer.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/MainWindow.Designer.cs	(revision 6734)
@@ -38,7 +38,6 @@
       this.slaveMainView.Name = "slaveMainView";
       this.slaveMainView.ReadOnly = false;
-      this.slaveMainView.Size = new System.Drawing.Size(588, 329);
+      this.slaveMainView.Size = new System.Drawing.Size(588, 328);
       this.slaveMainView.TabIndex = 0;
-      this.slaveMainView.WindowState = System.Windows.Forms.FormWindowState.Normal;
       // 
       // MainWindow
@@ -46,5 +45,5 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.ClientSize = new System.Drawing.Size(612, 353);
+      this.ClientSize = new System.Drawing.Size(612, 352);
       this.Controls.Add(this.slaveMainView);
       this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/MainWindow.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/MainWindow.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/MainWindow.cs	(revision 6734)
@@ -21,4 +21,5 @@
 
 
+using System;
 using System.Windows.Forms;
 using HeuristicLab.Clients.Hive.SlaveCore.Views;
@@ -28,12 +29,11 @@
     public MainWindow() {
       InitializeComponent();
-      slaveMainView.WindowStateChanged += new System.EventHandler<Common.EventArgs<FormWindowState>>(slaveMainView_WindowStateChanged);
+      slaveMainView.VisibilitySwitched += new System.EventHandler(slaveMainView_WindowStateChanged);
     }
 
-    void slaveMainView_WindowStateChanged(object sender, Common.EventArgs<FormWindowState> e) {
-      WindowState = e.Value;
-      if (WindowState == FormWindowState.Minimized) {
+    void slaveMainView_WindowStateChanged(object sender, EventArgs e) {
+      if (this.Visible) {
         Hide();
-      } else if (WindowState == FormWindowState.Normal) {
+      } else {
         Show();
       }
@@ -47,5 +47,5 @@
       if (e.CloseReason == CloseReason.UserClosing) {
         e.Cancel = true;
-        slaveMainView.MinimizeToTray();
+        Hide();
       }
     }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.TrayIcon/3.3/MainWindow.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.TrayIcon/3.3/MainWindow.Designer.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.TrayIcon/3.3/MainWindow.Designer.cs	(revision 6734)
@@ -39,7 +39,6 @@
       this.slaveMainView.Name = "slaveMainView";
       this.slaveMainView.ReadOnly = false;
-      this.slaveMainView.Size = new System.Drawing.Size(662, 471);
+      this.slaveMainView.Size = new System.Drawing.Size(588, 328);
       this.slaveMainView.TabIndex = 0;
-      this.slaveMainView.WindowState = System.Windows.Forms.FormWindowState.Normal;
       // 
       // MainWindow
@@ -47,9 +46,10 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.ClientSize = new System.Drawing.Size(686, 495);
+      this.ClientSize = new System.Drawing.Size(612, 352);
       this.Controls.Add(this.slaveMainView);
       this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
       this.Name = "MainWindow";
       this.Text = "HeuristicLab Hive Slave";
+      this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.MainWindow_FormClosing);
       this.ResumeLayout(false);
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.TrayIcon/3.3/MainWindow.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.TrayIcon/3.3/MainWindow.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.TrayIcon/3.3/MainWindow.cs	(revision 6734)
@@ -20,4 +20,5 @@
 #endregion
 
+using System;
 using System.Windows.Forms;
 using HeuristicLab.Clients.Hive.SlaveCore.Views;
@@ -35,22 +36,20 @@
     public MainWindow() {
       InitializeComponent();
-      slaveMainView.WindowStateChanged += new System.EventHandler<Common.EventArgs<FormWindowState>>(slaveMainView_WindowStateChanged);
+      slaveMainView.VisibilitySwitched += new System.EventHandler(slaveMainView_WindowStateChanged);
     }
 
-    void slaveMainView_WindowStateChanged(object sender, Common.EventArgs<FormWindowState> e) {
-      WindowState = e.Value;
-      if (WindowState == FormWindowState.Minimized) {
+    void slaveMainView_WindowStateChanged(object sender, EventArgs e) {
+      if (this.Visible) {
         Hide();
-      } else if (WindowState == FormWindowState.Normal) {
+      } else {
         Show();
       }
     }
 
-    internal void MinimizeToTray() {
-      slaveMainView.MinimizeToTray();
-    }
-
-    internal void RestoreFromTray() {
-      slaveMainView.RestoreFromTray();
+    private void MainWindow_FormClosing(object sender, FormClosingEventArgs e) {
+      if (e.CloseReason == CloseReason.UserClosing) {
+        e.Cancel = true;
+        Hide();
+      }
     }
   }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.TrayIcon/3.3/Program.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.TrayIcon/3.3/Program.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.TrayIcon/3.3/Program.cs	(revision 6734)
@@ -22,7 +22,7 @@
       MainWindow mw = new MainWindow();
       if (args.Length < 1 || (args.Length > 0 && args[0] != Settings.Default.ShowUICmd)) {
-        mw.MinimizeToTray();
+        mw.Hide();
       } else if (args.Length > 0 && args[0] == Settings.Default.ShowUICmd) {
-        mw.RestoreFromTray();
+        mw.Show();
       }
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutView.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutView.cs	(revision 6734)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
-  [View("AboutView: Show some information about HeursticLab Hive")]
+  [View("About View: Show some information about HeursticLab Hive")]
   public partial class AboutView : ItemView {
     public new Item Content {
@@ -49,7 +49,4 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      if (Content == null) {
-      } else {
-      }
     }
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/JobsView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/JobsView.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/JobsView.cs	(revision 6734)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
-  [View("JobsView")]
+  [View("Jobs View")]
   [Content(typeof(SlaveItem), IsDefaultView = false)]
   public partial class JobsView : ItemView {
@@ -51,7 +51,4 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      if (Content == null) {
-      } else {
-      }
     }
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/LogView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/LogView.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/LogView.cs	(revision 6734)
@@ -61,7 +61,4 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      if (Content == null) {
-      } else {
-      }
     }
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/Properties/Settings.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/Properties/Settings.Designer.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/Properties/Settings.Designer.cs	(revision 6734)
@@ -2,5 +2,5 @@
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:4.0.30319.225
+//     Runtime Version:4.0.30319.235
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -59,4 +59,16 @@
             }
         }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("HeuristicLab.Clients.Hive.SlaveCore.WindowsService")]
+        public string ServiceName {
+            get {
+                return ((string)(this["ServiceName"]));
+            }
+            set {
+                this["ServiceName"] = value;
+            }
+        }
     }
 }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/Properties/Settings.settings
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/Properties/Settings.settings	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/Properties/Settings.settings	(revision 6734)
@@ -12,4 +12,7 @@
       <Value Profile="(Default)">SlaveCommunicationServiceEndpoint</Value>
     </Setting>
+    <Setting Name="ServiceName" Type="System.String" Scope="User">
+      <Value Profile="(Default)">HeuristicLab.Clients.Hive.SlaveCore.WindowsService</Value>
+    </Setting>
   </Settings>
 </SettingsFile>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsBase.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsBase.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsBase.cs	(revision 6734)
@@ -49,6 +49,5 @@
     #region Register Content Events
     protected override void DeregisterContentEvents() {
-      Content.SlaveShutdown -= new System.EventHandler(Content_SlaveShutdown);
-      Content.SlaveStatusChanged -= new System.EventHandler<EventArgs<StatusCommons>>(Content_SlaveStatusChanged);
+
       Content.SlaveDisplayStateChanged -= new EventHandler<EventArgs<SlaveDisplayStat>>(Content_SlaveDisplayStateChanged);
       Content.CoreConnectionChanged -= new EventHandler<EventArgs<CoreConnection>>(Content_CoreConnectionChanged);
@@ -60,6 +59,4 @@
       base.RegisterContentEvents();
 
-      Content.SlaveShutdown += new System.EventHandler(Content_SlaveShutdown);
-      Content.SlaveStatusChanged += new System.EventHandler<EventArgs<StatusCommons>>(Content_SlaveStatusChanged);
       Content.SlaveDisplayStateChanged += new EventHandler<EventArgs<SlaveDisplayStat>>(Content_SlaveDisplayStateChanged);
       Content.CoreConnectionChanged += new EventHandler<EventArgs<CoreConnection>>(Content_CoreConnectionChanged);
@@ -75,16 +72,7 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      //do nothing at the moment, we have nothing editable
     }
 
     #region Event Handlers
-    protected void Content_SlaveStatusChanged(object sender, EventArgs<StatusCommons> e) {
-
-    }
-
-    protected void Content_SlaveShutdown(object sender, System.EventArgs e) {
-
-    }
-
     protected virtual void Content_SlaveDisplayStateChanged(object sender, EventArgs<SlaveDisplayStat> e) {
       lastSlaveDisplayStat = e.Value;
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.cs	(revision 6734)
@@ -30,11 +30,10 @@
 using HeuristicLab.MainForm;
 
-
 namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
 
-  [View("HeuristicLab Slave Cmds View")]
+  [View("HeuristicLab Slave Cmds with Kill View")]
   [Content(typeof(SlaveItem), IsDefaultView = false)]
   public partial class SlaveCmdsWithKill : SlaveCmdsBase {
-    private const string serviceName = "HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService";
+    private string serviceName = Settings.Default.ServiceName;
 
     private const UInt32 BCM_SETSHIELD = 0x160C;
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.cs	(revision 6734)
@@ -22,5 +22,4 @@
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
-
 
 namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
@@ -61,5 +60,4 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      //do nothing at the moment, we have nothing editable
     }
   }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.Designer.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.Designer.cs	(revision 6734)
@@ -79,5 +79,5 @@
       this.mainTabControl.Name = "mainTabControl";
       this.mainTabControl.SelectedIndex = 0;
-      this.mainTabControl.Size = new System.Drawing.Size(653, 501);
+      this.mainTabControl.Size = new System.Drawing.Size(653, 444);
       this.mainTabControl.TabIndex = 2;
       // 
@@ -87,5 +87,5 @@
       this.tabSlaveView.Name = "tabSlaveView";
       this.tabSlaveView.Padding = new System.Windows.Forms.Padding(3);
-      this.tabSlaveView.Size = new System.Drawing.Size(645, 475);
+      this.tabSlaveView.Size = new System.Drawing.Size(645, 418);
       this.tabSlaveView.TabIndex = 0;
       this.tabSlaveView.Text = "Overview";
@@ -97,5 +97,5 @@
       this.tabJobs.Location = new System.Drawing.Point(4, 22);
       this.tabJobs.Name = "tabJobs";
-      this.tabJobs.Size = new System.Drawing.Size(639, 421);
+      this.tabJobs.Size = new System.Drawing.Size(645, 418);
       this.tabJobs.TabIndex = 3;
       this.tabJobs.Text = "Jobs";
@@ -112,5 +112,5 @@
       this.jobsView.Name = "jobsView";
       this.jobsView.ReadOnly = false;
-      this.jobsView.Size = new System.Drawing.Size(632, 414);
+      this.jobsView.Size = new System.Drawing.Size(638, 411);
       this.jobsView.TabIndex = 0;
       // 
@@ -121,5 +121,5 @@
       this.tabLog.Name = "tabLog";
       this.tabLog.Padding = new System.Windows.Forms.Padding(3);
-      this.tabLog.Size = new System.Drawing.Size(639, 421);
+      this.tabLog.Size = new System.Drawing.Size(645, 418);
       this.tabLog.TabIndex = 1;
       this.tabLog.Text = "Log";
@@ -136,5 +136,5 @@
       this.logView.Name = "logView";
       this.logView.ReadOnly = false;
-      this.logView.Size = new System.Drawing.Size(626, 406);
+      this.logView.Size = new System.Drawing.Size(632, 405);
       this.logView.TabIndex = 0;
       // 
@@ -144,5 +144,5 @@
       this.tabAbout.Location = new System.Drawing.Point(4, 22);
       this.tabAbout.Name = "tabAbout";
-      this.tabAbout.Size = new System.Drawing.Size(639, 421);
+      this.tabAbout.Size = new System.Drawing.Size(645, 418);
       this.tabAbout.TabIndex = 2;
       this.tabAbout.Text = "About HeuristicLab Hive";
@@ -159,5 +159,5 @@
       this.aboutView.Name = "aboutView";
       this.aboutView.ReadOnly = false;
-      this.aboutView.Size = new System.Drawing.Size(613, 329);
+      this.aboutView.Size = new System.Drawing.Size(639, 412);
       this.aboutView.TabIndex = 0;
       // 
@@ -216,5 +216,5 @@
       this.Controls.Add(this.mainTabControl);
       this.Name = "SlaveMainViewBase";
-      this.Size = new System.Drawing.Size(653, 501);
+      this.Size = new System.Drawing.Size(653, 444);
       this.mainTabControl.ResumeLayout(false);
       this.tabJobs.ResumeLayout(false);
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.cs	(revision 6734)
@@ -25,21 +25,17 @@
 using System.Windows.Forms;
 using HeuristicLab.Clients.Hive.SlaveCore.Views.Properties;
-using HeuristicLab.Common;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
 
-
 namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
 
-  [View("HeuristicLab Slave Main View")]
+  [View("HeuristicLab Slave Main View Base")]
   [Content(typeof(SlaveItem), IsDefaultView = false)]
   public partial class SlaveMainViewBase : ItemView {
 
-    public FormWindowState WindowState { get; set; }
-
-    public event EventHandler<EventArgs<FormWindowState>> WindowStateChanged;
-    public void OnWindowStateChanged(FormWindowState msg) {
-      var handler = WindowStateChanged;
-      if (handler != null) handler(this, new EventArgs<FormWindowState>(msg));
+    public event EventHandler VisibilitySwitched;
+    public void OnVisibilitySwitched() {
+      var handler = VisibilitySwitched;
+      if (handler != null) handler(this, new EventArgs());
     }
 
@@ -61,5 +57,4 @@
     public SlaveMainViewBase() {
       InitializeComponent();
-      WindowState = FormWindowState.Normal;
     }
 
@@ -77,5 +72,4 @@
       base.OnContentChanged();
 
-      //cSlaveView.Content = Content;
       jobsView.Content = Content;
       logView.Content = Content;
@@ -89,13 +83,8 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      //do nothing at the moment, we have nothing editable
     }
 
     private void notifyIcon_DoubleClick(object sender, EventArgs e) {
-      if (WindowState == FormWindowState.Normal) {
-        MinimizeToTray();
-      } else {
-        RestoreFromTray();
-      }
+      OnVisibilitySwitched();
     }
 
@@ -105,21 +94,9 @@
 
     private void showToolStripMenuItem_Click(object sender, EventArgs e) {
-      if (WindowState != FormWindowState.Normal) {
-        RestoreFromTray();
-      }
-    }
-
-    public void MinimizeToTray() {
-      WindowState = FormWindowState.Minimized;
-      OnWindowStateChanged(WindowState);
-    }
-
-    public void RestoreFromTray() {
-      WindowState = FormWindowState.Normal;
-      OnWindowStateChanged(WindowState);
+      OnVisibilitySwitched();
     }
 
     private void notifyIcon_BalloonTipClicked(object sender, EventArgs e) {
-      RestoreFromTray();
+      OnVisibilitySwitched();
     }
 
@@ -127,5 +104,4 @@
       System.Diagnostics.Process.Start("http://dev.heuristiclab.com");
     }
-
 
     private void Connector() {
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.cs	(revision 6734)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
 
-  [View("HeuristicLab Slave Main View")]
+  [View("HeuristicLab Slave Main Tray View")]
   [Content(typeof(SlaveItem), IsDefaultView = false)]
   public partial class SlaveMainViewTray : SlaveMainViewBase {
@@ -61,5 +61,4 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      //do nothing at the moment, we have nothing editable
     }
   }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.cs	(revision 6734)
@@ -76,5 +76,4 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      //do nothing at the moment, we have nothing editable
     }
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.Designer.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.Designer.cs	(revision 6734)
@@ -69,5 +69,5 @@
       this.slaveCmds.TabIndex = 1;
       // 
-      // CSlaveView
+      // SlaveView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
@@ -75,6 +75,6 @@
       this.Controls.Add(this.slaveCmds);
       this.Controls.Add(this.slaveStats);
-      this.Name = "CSlaveView";
-      this.Size = new System.Drawing.Size(532, 355);
+      this.Name = "SlaveView";
+      this.Size = new System.Drawing.Size(520, 320);
       this.ResumeLayout(false);
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.cs	(revision 6734)
@@ -59,10 +59,7 @@
     }
 
-
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      //do nothing at the moment, we have nothing editable
     }
-
   }
 }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveViewTray.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveViewTray.Designer.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveViewTray.Designer.cs	(revision 6734)
@@ -76,5 +76,5 @@
       this.Controls.Add(this.slaveStats);
       this.Name = "SlaveViewTray";
-      this.Size = new System.Drawing.Size(532, 355);
+      this.Size = new System.Drawing.Size(520, 320);
       this.ResumeLayout(false);
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveViewTray.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveViewTray.cs	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveViewTray.cs	(revision 6734)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
 
-  [View("HeuristicLab Slave View")]
+  [View("HeuristicLab Slave Tray View")]
   [Content(typeof(SlaveItem), IsDefaultView = false)]
   public partial class SlaveViewTray : ItemView {
@@ -59,10 +59,7 @@
     }
 
-
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      //do nothing at the moment, we have nothing editable
     }
-
   }
 }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.3/app_ascheibe.config
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.3/app_ascheibe.config	(revision 6733)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.3/app_ascheibe.config	(revision 6734)
@@ -105,8 +105,12 @@
     <client>
       <endpoint name="SlaveCommunicationServiceEndpoint" address="net.pipe://localhost/HeuristicLabSlaveCom" binding="netNamedPipeBinding" contract="HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts.ISlaveCommunication"/>
-      <endpoint address="http://services.heuristiclab.com/Hive-3.4/HiveService.svc" binding="wsHttpBinding" bindingConfiguration="wsHttpBinding_Hive" contract="HeuristicLab.Clients.Hive.IHiveService" name="wsHttpBinding_IHiveService">
+      <endpoint address="http://localhost/HiveService.svc"
+                binding="wsHttpBinding"
+                bindingConfiguration="wsHttpBinding_Hive"
+                contract="HeuristicLab.Clients.Hive.IHiveService"
+                name="wsHttpBinding_IHiveService">
         <identity>
-          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ=="/>
-        </identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAiQt8DnyaI8rYHhLNyW62i58+eG8gAAAAAQAAAPIBAAAwggHuMIIBW6ADAgECAhAFNFYz6Srdmk3PZJ/mka5sMAkGBSsOAwIdBQAwFDESMBAGA1UEAxMJbG9jYWxob3N0MB4XDTEwMTIwNjE0MTc0M1oXDTM5MTIzMTIzNTk1OVowFDESMBAGA1UEAxMJbG9jYWxob3N0MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCueTMWJzOZ1IBacG40aWdr3qDWijEO4VwhgtNr+WNFsRG+qW2rTZZFtaC0U028aj3MX13mr+pzpcPJMes2rr38PuxhN6BhdzgRfyEy/eHk4iKqZztuJSXgNAyfyjhovTchLitT2lilddTRFj2PlLYv+PUu+QhQNTm2iW4UDljS9wIDAQABo0kwRzBFBgNVHQEEPjA8gBBeipmIklE3kPz7i+AdKqAgoRYwFDESMBAGA1UEAxMJbG9jYWxob3N0ghAFNFYz6Srdmk3PZJ/mka5sMAkGBSsOAwIdBQADgYEAGnxEaFT8QKKk1DtJ8/+TOBxSo0UkBlNiTY0HKkA3w/2DOPZKybhslm8gqJic8ZPsk5YgEibrdQqB0AnNG983RAlFqgGvsAbQAMXTDJ5GoTgHaxk/T+7a7Sk4xJALUL/vWuPGbA354RVoKA4gV3gJzU+Fj3/fLACf0+D/nR9B5nw=" />
+        </identity>  
       </endpoint>
     </client>
